> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT transfers by transaction

> Get NFT transfers by transaction



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /insights/v1/nfts/transfers/transaction/{transaction_hash}
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /insights/v1/nfts/transfers/transaction/{transaction_hash}:
    get:
      tags:
        - insights/nfts
      summary: Get NFT transfers by transaction
      description: Get NFT transfers by transaction
      parameters:
        - $ref: '#/components/parameters/transactionHash'
        - name: chain
          in: query
          required: false
          deprecated: true
          description: Use chain_id instead
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - name: chain_id
          in: query
          required: false
          description: >-
            The chain ID(s) to request the data for. You can specify multiple
            chain IDs, up to a maximum of 55. Use repeated query parameters,
            e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain
            can as well be specified as a subdomain
          schema:
            type: array
            example:
              - 20
              - 56
              - 1
            items:
              type: number
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include metadata for the tokens
            example: 'false'
          required: false
          name: metadata
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: >-
              Whether to include owner addresses in the NFT metadata (only if
              metadata is requested)
            example: 'false'
          required: false
          name: include_owners
          in: query
        - schema:
            type: array
            description: >-
              The types of tokens to include in the response. Can be an empty
              array to include all types
            items:
              type: string
              enum:
                - erc1155
                - erc721
                - erc20
            uniqueItems: true
          required: false
          name: token_types
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        token_id:
                          type: string
                        chain_id:
                          type: number
                        block_number:
                          type: string
                        block_hash:
                          type: string
                        block_timestamp:
                          type: string
                        transaction_hash:
                          type: string
                        from_address:
                          type: string
                        to_address:
                          type: string
                        log_index:
                          type: number
                        contract_address:
                          type: string
                        transfer_type:
                          type: string
                          enum:
                            - mint
                            - sale
                            - transfer
                        token_type:
                          type: string
                          enum:
                            - erc721
                            - erc1155
                        amount:
                          type: string
                        nft_metadata:
                          type: object
                          properties:
                            name:
                              type: string
                            description:
                              type: string
                            image_url:
                              type: string
                            video_url:
                              type: string
                            animation_url:
                              type: string
                            background_color:
                              type: string
                            external_url:
                              type: string
                            status:
                              type: string
                            metadata_url:
                              type: string
                            owner_addresses:
                              type: array
                              items:
                                type: string
                            extra_metadata:
                              allOf:
                                - type: object
                                  additionalProperties:
                                    nullable: true
                                - type: object
                                  properties:
                                    attributes:
                                      anyOf:
                                        - type: array
                                          items:
                                            type: object
                                            properties:
                                              trait_type:
                                                type: string
                                              value:
                                                anyOf:
                                                  - type: string
                                                  - type: number
                                              display_type:
                                                type: string
                                            required:
                                              - trait_type
                                              - value
                                        - type: object
                                          additionalProperties:
                                            nullable: true
                                    properties:
                                      type: object
                                      additionalProperties:
                                        nullable: true
                            collection:
                              type: object
                              properties:
                                name:
                                  type: string
                                description:
                                  type: string
                                image_url:
                                  type: string
                                banner_image_url:
                                  type: string
                                featured_image_url:
                                  type: string
                                external_link:
                                  type: string
                            contract:
                              type: object
                              properties:
                                chain_id:
                                  type: number
                                  description: The chain ID of a relevant entry
                                  example: 1
                                address:
                                  type: string
                                  title: address (hex or ENS)
                                  example: vitalik.eth
                                name:
                                  type: string
                                symbol:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - erc721
                                    - erc1155
                              required:
                                - chain_id
                                - address
                        nft_sale:
                          type: object
                          properties:
                            transaction_hash:
                              type: string
                            items_sold:
                              type: array
                              items:
                                type: object
                                properties:
                                  token_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                  token_id:
                                    type: string
                                  amount:
                                    type: string
                                  token_type:
                                    type: string
                                  from_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                  to_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                required:
                                  - token_address
                                  - token_id
                                  - amount
                                  - token_type
                            payment:
                              type: array
                              items:
                                type: object
                                properties:
                                  token_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                  token_id:
                                    type: string
                                  amount:
                                    type: string
                                  token_type:
                                    type: string
                                  from_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                  to_address:
                                    type: string
                                    title: address (hex or ENS)
                                    example: vitalik.eth
                                required:
                                  - token_address
                                  - token_id
                                  - amount
                                  - token_type
                            marketplace_address:
                              type: string
                            marketplace_name:
                              type: string
                          required:
                            - transaction_hash
                            - items_sold
                            - payment
                            - marketplace_address
                            - marketplace_name
                      required:
                        - token_id
                        - chain_id
                        - block_number
                        - block_timestamp
                        - transaction_hash
                        - from_address
                        - to_address
                        - log_index
                        - contract_address
                        - transfer_type
                        - token_type
                        - amount
                required:
                  - data
        '404':
          description: Not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  parameters:
    transactionHash:
      schema:
        type: string
      required: true
      name: transaction_hash
      in: path
    limit:
      schema:
        type: integer
        minimum: 0
        exclusiveMinimum: true
        maximum: 1000
        default: 20
        description: The number of items to return
        example: 20
      required: false
      name: limit
      in: query
    page:
      schema:
        type: integer
        nullable: true
        minimum: 0
        default: 0
        description: >-
          Page number (0-indexed). Maximum value depends on query parameters: 20
          for regular queries, 500 when using aggregate or group_by parameters.
        example: 0
      required: false
      name: page
      in: query

````